package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_default_vip_group_salary):
 */
public class TeacherDefaultVipGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号", required = false)
	private Integer userId;
	
	/** 课程类型 */
	@ApiModelProperty(value = "课程类型编号", required = false)
	private Integer vipGroupCategoryId;

	/** 课程类型 */
	@ApiModelProperty(value = "课程类型名称(1v1,1v2)", required = false)
	private String vipGroupCategoryName;
	
	/** 线上课薪酬 */
	@ApiModelProperty(value = "线上课薪酬", required = false)
	private java.math.BigDecimal onlineClassesSalary;
	
	/** 线下课薪酬 */
	@ApiModelProperty(value = "线下课薪酬", required = false)
	private java.math.BigDecimal offlineClassesSalary;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getVipGroupCategoryName() {
		return vipGroupCategoryName;
	}

	public void setVipGroupCategoryName(String vipGroupCategoryName) {
		this.vipGroupCategoryName = vipGroupCategoryName;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setVipGroupCategoryId(Integer vipGroupCategoryId){
		this.vipGroupCategoryId = vipGroupCategoryId;
	}
	
	public Integer getVipGroupCategoryId(){
		return this.vipGroupCategoryId;
	}
			
	public void setOnlineClassesSalary(java.math.BigDecimal onlineClassesSalary){
		this.onlineClassesSalary = onlineClassesSalary;
	}
	
	public java.math.BigDecimal getOnlineClassesSalary(){
		return this.onlineClassesSalary;
	}
			
	public void setOfflineClassesSalary(java.math.BigDecimal offlineClassesSalary){
		this.offlineClassesSalary = offlineClassesSalary;
	}
	
	public java.math.BigDecimal getOfflineClassesSalary(){
		return this.offlineClassesSalary;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
